Package org.apache.cayenne.access.jdbc

## Class EJBQLAction

- java.lang.Object
- - org.apache.cayenne.access.jdbc.BaseSQLAction
  - - org.apache.cayenne.access.jdbc.EJBQLAction

- All Implemented Interfaces:
    `SQLAction`

      public class EJBQLAction
      extends BaseSQLAction

  Parses an EJBQL statement, converting it to SQL. Executes the resulting SQL.
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected SQLActionVisitor` | `actionFactory` |
    `protected EJBQLQuery` | `query` |

    - ### Fields inherited from class org.apache.cayenne.access.jdbc.BaseSQLAction

      `dataNode`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EJBQLAction​(EJBQLQuery query, SQLActionVisitor actionFactory, DataNode dataNode)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `performAction​(Connection connection, OperationObserver observer)` | Executes a query using a strategy defined by the implementation.

    - ### Methods inherited from class org.apache.cayenne.access.jdbc.BaseSQLAction

      `getInMemoryOffset, readResultSet`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### actionFactory

          protected SQLActionVisitor actionFactory

    - #### query

          protected EJBQLQuery query

  - ### Constructor Detail

    - #### EJBQLAction

          public EJBQLAction​(EJBQLQuery query,
                             SQLActionVisitor actionFactory,
                             DataNode dataNode)

  - ### Method Detail

    - #### performAction

          public void performAction​(Connection connection,
                                    OperationObserver observer)
                             throws Exception

      Description copied from interface: `SQLAction`
      Executes a query using a strategy defined by the implementation.
      Throws:
        `Exception`